| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Members

Public Attributes | List of all members
phuff_entropy_decoder Struct Reference

## Public Attributes
struct jpeg_entropy_decoder | pub
bitread_perm_state | bitstate
savable_state | saved
unsigned int | restarts_to_go
d_derived_tbl * | derived_tbls [NUM_HUFF_TBLS]
d_derived_tbl * | ac_derived_tbl

## Detailed Description

Definition at line 56 of file jdphuff.c.

## Member Data Documentation

d_derived_tbl* phuff_entropy_decoder::ac_derived_tbl

Definition at line 71 of file jdphuff.c.

bitread_perm_state phuff_entropy_decoder::bitstate

Definition at line 62 of file jdphuff.c.

d_derived_tbl* phuff_entropy_decoder::derived_tbls[NUM_HUFF_TBLS]

Definition at line 69 of file jdphuff.c.

struct jpeg_entropy_decoder phuff_entropy_decoder::pub

Definition at line 57 of file jdphuff.c.

unsigned int phuff_entropy_decoder::restarts_to_go

Definition at line 66 of file jdphuff.c.

savable_state phuff_entropy_decoder::saved

Definition at line 63 of file jdphuff.c.

The documentation for this struct was generated from the following file:

- /usr/local/bsoft/jpeg/jdphuff.c